<?php

/*
  PHP version 5
  Copyright (c) 2002-2018 ECISP.CN、EarcLink.COM
  警告：这不是一个免费的软件，请在许可范围内使用，请尊重知识产权，侵权必究，举报有奖
  作者：黄祥云 E-mail:6326420@qq.com  QQ:6326420 TEL:18665655030
*/

namespace admin_application\link;

class OnlineServiceLink {

	public static function OnlineService_link_array($linkcode = false, $array = array()) {
		$link_array = array();
		$action_key['act'] = 'OnlineService/listOnlineService';
		$link_array['index'] = linkOut($action_key);
		$action_key_list['act'] = 'OnlineService/listOnlineService';
		$action_key_list['out_type'] = 'list';
		$link_array['list'] = linkOut($action_key_list);
		$action_key['act'] = 'OnlineService/addOnlineService';
		$link_array['add'] = linkOut($action_key);
		$action_key_edit['act'] = 'OnlineService/editOnlineService';
		$action_key_edit['cid'] = $array['cid'];
		$link_array['edit'] = linkOut($action_key_edit);
		$action_key_edit['act'] = 'OnlineService/editOnlineService';
		$action_key_edit['type'] = 'copy';
		$link_array['copy'] = linkOut($action_key_edit);
		$action_key['act'] = 'OnlineService/saveOnlineService';
		$link_array['save'] = linkOut($action_key);
		$action_key['act'] = 'OnlineService/delOnlineService';
		$link_array['del'] = linkOut($action_key);
		$action_key['act'] = 'OnlineService/sortOnlineService';
		$link_array['sort'] = linkOut($action_key);
		$action_key['act'] = 'OnlineService/setOnlineService';
		$link_array['set'] = linkOut($action_key);
		return $linkcode ? $link_array[$linkcode] : $link_array;
	}

}
